//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Chart.hpp>
#include <ExtCtrls.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TChart *Chart1;
    TFastLineSeries *Series1;
    TFastLineSeries *Series2;
    TButton *BtnDecomp;
    TChart *Chart2;
    TFastLineSeries *Series3;
    TButton *BtnThresh;
    TButton *BtnReconstr;
    TEdit *EdtThresh;
    TComboBox *CBLev;
    TEdit *EdtN;
    TButton *BtnLoad;
    TOpenDialog *OpenDialog1;
    TComboBox *CB1;
    TLabel *Label1;
    TEdit *Edit1;
    void __fastcall BtnDecompClick(TObject *Sender);
    void __fastcall BtnThreshClick(TObject *Sender);
    void __fastcall BtnReconstrClick(TObject *Sender);
    void __fastcall BtnLoadClick(TObject *Sender);
    void __fastcall CB1Change(TObject *Sender);
private:	// User declarations

     int N, n;
     int Depth;
     double Threshold;
     double *array;

     int layer_numb;
     int layer_size;
     double **layer;

public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
    void __fastcall LoadData();
    void __fastcall SetN();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
